from machine import Pin
from time import sleep

MA = Pin(21,Pin.OUT)
MB = Pin(20,Pin.OUT)
MC = Pin(19,Pin.OUT)
MD = Pin(18,Pin.OUT)

pins = [MA, MB, MC, MD]


#Wave CW
seqstep = [[0,0,0,1],[0,0,1,0],[0,1,0,0],[1,0,0,0]]
#Wave CCW
#seqstep = [[1,0,0,0],[0,1,0,0],[0,0,1,0],[0,0,0,1]]

#Full CW
#seqstep = [[1,0,0,1],[0,0,1,1],[0,1,1,0],[1,1,0,0],[1,0,0,1],[0,0,1,1],[0,1,1,0],[1,1,0,0],[1,0,0,0]]
#Full CCW
#seqstep = [[1,0,0,1],[1,1,0,0],[0,1,1,0],[0,0,1,1],[1,0,0,1],[1,1,0,0],[0,1,1,0],[0,0,1,1],[0,0,0,1]]

#Half CW
#seqstep = [[1,0,0,1],[0,0,0,1],[0,0,1,1],[0,0,1,0],[0,1,1,0],[0,1,0,0],[1,1,0,0],[1,0,0,0],[1,0,0,1],[0,0,0,1],[0,0,1,1],[0,0,0,0],[0,1,1,0],[0,1,0,0],[1,1,0,0],[1,0,0,0],[1,0,0,0]]
#Half CCW
#seqstep = [[1,0,0,1],[1,0,0,0],[1,1,0,0],[0,1,0,0],[0,1,1,0],[0,0,1,0],[0,0,1,1],[0,0,0,1],[1,0,0,1],[1,0,0,0],[1,1,0,0],[0,0,0,0],[0,1,1,0],[0,0,1,0],[0,0,1,1],[0,0,0,1],[0,0,0,1]]

while True:
    for step in seqstep:
        for i in range(len(pins)):
            pins[i].value(step[i])
            sleep(0.002)